#define ATA_ASR		ata[minor >> 1].base1[6]
#define ATA_DCR		ata[minor >> 1].base1[6]
#define ATA_DR		ata[minor >> 1].base0[0]
#define ATA_ER		ata[minor >> 1].base0[1]
#define ATA_FR		ata[minor >> 1].base0[1]
#define ATA_SCR		ata[minor >> 1].base0[2]
#define ATA_SNR		ata[minor >> 1].base0[3]
#define ATA_CYLL	ata[minor >> 1].base0[4]
#define ATA_CYLH	ata[minor >> 1].base0[5]
#define ATA_DHR		ata[minor >> 1].base0[6]
#define ATA_CR 		ata[minor >> 1].base0[7]
#define ATA_SR		ata[minor >> 1].base0[7]

#define SR_BSY		0x80
#define SR_DRDY		0x40
#define SR_DF		0x20
#define SR_DREQ		0x08
#define SR_ERR		0x01
#define DCR_SRST	0x04
#define DCR_nIEN	0x02
#define DHR_LBA		0x40
#define DHR_DEV		0x10

#define DeviceReset	0x08
#define DownloadMicrocode 0x92
#define DeviceDiagnostic  0x90
#define FlushCache	0xe7
#define IdentifyDevice	0xec
#define GetMediaStatus	0xda
#define ReadMultiple	0xc4
#define ReadSector	0x20
#define WriteMultiple	0xc5
#define WriteSector	0x30
#define SetMultiple	0xc6
#define WriteVerify	0x3c
